/*
 * ldnssec-utils
 *
 * Written in 2021 by Lucas
 *
 * To the extent possible under law, the author(s) have dedicated all
 * copyright and related and neighboring rights to this software to the
 * public domain worldwide. This software is distributed without any
 * warranty.
 *
 * You should have received a copy of the CC0 Public Domain Dedication
 * along with this software. If not, see
 * <http://creativecommons.org/publicdomain/zero/1.0/>.
 */

#ifndef _UTIL_H_INCLUDED
#define _UTIL_H_INCLUDED

extern ldns_lookup_table	ldnssec_hashes[];

ldns_hash	ldnssec_get_hash_algorithm_by_name(const char *);

void	fatal_check_minimum_ldns_revision(void);

#endif /* !_UTIL_H_INCLUDED */
